
imsource.dir = './data';
for k = 1:11
    imsource.names{k} = sprintf('color-16bit-mid-%02i.tif', k);
end

range = 65536; % 16bit dynamic range in TIF files
too_low = 4000; % value considered too low
too_high = 64000; % value considered too high

[image_order, averages] = order_by_exposure(imsource);

% order filenames by exposure
imsource.names = imsource.names(image_order);

N = length(image_order); % #images
Npairs = N-1; % number of consecutive pairs
mult = zeros(1,Npairs);

for k = 1:Npairs    
    % estimate MULT such that (k-th image)*mult is close to
    % (k+1)-th image
    [mult(k)] = estimate_mult(imsource, k, k+1, too_low, too_high);
end

% compute EXPOSURES from MULT
exposures = compute_exposures(mult);

% compose HDR by a simple method 
[hdr_naive] = compose_hdr_naive(imsource, exposures, too_high);

% compose HDR using blending
[hdr] = compose_hdr(imsource, exposures, range, too_low, too_high);

